package core 
{
	import flash.media.Sound;
	import starling.text.BitmapFont;
	import starling.text.TextField;
	import starling.textures.Texture;
	import starling.textures.TextureAtlas;
	/**
	 * ...
	 * @author miyijura
	 */
	public class Assets 
	{
		//pimero las texturas que  seran usadas como los fondos del juego
		[Embed (source = "../../game_assets/backgrounds/fantasy_001_1920x1080.png")]
		private static var Fantasy_1:Class;
		public static var bg_1:Texture;
		
		[Embed (source = "../../game_assets/backgrounds/fantasy_002_1920x1080.png")]
		private static var Fantasy_2:Class;
		public static var bg_2:Texture;
		
		[Embed (source = "../../game_assets/backgrounds/fantasy_005_1920x1080.png")]
		private static var Fantasy_3:Class;
		public static var bg_3:Texture;
		
		[Embed (source = "../../game_assets/backgrounds/forest_001_1920x1080.png")]
		private static var Forest_1:Class;
		public static var bg_4:Texture;
		
		[Embed (source = "../../game_assets/backgrounds/village_004_1920x1080.png")]
		private static var Village_1:Class;
		public static var bg_5:Texture;
		
		//ahora el texture atlas
		//primero la textura
		[Embed (source = "../../game_assets/sprites/sprites.png")]
		private static var atlas:Class;
		//declaramos que la textura sera tipo texture atlas
		public static var ta:TextureAtlas;
		
		//ahora el XML para poder localizar las imagenes
		[Embed (source = "../../game_assets/sprites/sprites.xml", mimeType = "application/octet-stream")]
		//y la variable para poder manejarlo
		private static var atlasXML:Class;
		
		//sigue el bitmap font
		/*[Embed (source = "../../assets/graphics/myFont-export.png")]
		private static var myFont:Class;
		[Embed (source = "../../assets/graphics/myFont-export.fnt", mimeType = "application/octet-stream")]
		private static var myFontXML:Class;*/
		
		//Agregamos los sonidos de disparos de nuestro laser
		/*[Embed (source = "../../assets/sound_fx/laser5.mp3")]
		private static var LaserSoundClass:Class;
		public static var laser_sound:Sound;*/
		
		public static function init():void 
		{
			//creamos los backgrounds
			bg_1 = Texture.fromBitmap(new Fantasy_1());
			bg_2 = Texture.fromBitmap(new Fantasy_2());
			bg_3 = Texture.fromBitmap(new Fantasy_3());
			bg_4 = Texture.fromBitmap(new Forest_1());
			bg_5 = Texture.fromBitmap(new Village_1());
			
			//instanciamos el texture atlas, asegurate de cerrar todos los parentesis!
			ta = new TextureAtlas(Texture.fromBitmap(new atlas), XML(new atlasXML()));
			
			//registremos el nuevo bitmap font
			//TextField.registerBitmapFont(new BitmapFont(Texture.fromBitmap(new myFont()), XML(new myFontXML())));
			
			//activamos los objetos de sonido
			
			//primero la musica
			//music_sound = new MusicSound();
			
			//ahora lasers y explosiones
			/*laser_sound = new LaserSoundClass();
			explosion_sound = new ExplosionSoundClass();*/
			
		}
		
	}

}