package states 
{
	import core.Assets;
	import core.Game;
	import interfaces.IState;
	import starling.display.Sprite;
	import starling.events.Event;
	
	/**
	 * ...
	 * @author miyijura
	 */
	public class GameOver extends Sprite implements IState 
	{
		private var game:Game;
		
		public function GameOver(game:Game) 
		{
			this.game = game;
			addEventListener(Event.ADDED_TO_STAGE, init);
			
		}
		
		private function init(e:Event):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
		}
		
		private function restartGame(e:Event):void 
		{
			//cambiamos el estado de juego a play para reiniciar el juego
			game.changeState(Game.PLAY_STATE);
		}
		
		/* INTERFACE interfaces.IState */
		
		public function update():void 
		{
			
		}
		
		public function destroy():void 
		{
			//eliminamos todo de esta pantalla
			removeFromParent(true);
		}
		
	}

}